class_name Character
extends AnimatedSprite

export (String) var character_name:String
export(String) var emotion:String setget set_emotion
var state := "idle" setget set_state
export(String) var pose:String setget set_pose

func _ready():
	DialogueSingleton.add_character(character_name, self)
	update_animation()

func update_animation() -> void:
	var new_animation := emotion + "_" + state
	if not pose.empty():
		new_animation += "_" + pose
	if frames.has_animation(new_animation):
		animation = new_animation
	else:
		print("[WARN] Animation %s does not exist." % new_animation)

func set_emotion(_emotion:String) -> void:
	emotion = _emotion
	update_animation()

func set_state(_state:String) -> void:
	state = _state
	update_animation()

func set_pose(_pose:String) -> void:
	pose = _pose
	update_animation()
