class_name Customer
extends Character

export(String, FILE, "*.json") var config_file

onready var _alcohol_level := $AlcoholLevel

var state_machine:CustomerStateMachine

func _ready():
	var file := File.new()
	
	var error := file.open(config_file, File.READ)
	assert(not error, "Error reading ingredients file")
	
	var data:Dictionary = parse_json(file.get_as_text())
	file.close()
	state_machine = CustomerStateMachine.new(data["alcohol_limit"], \
			data["drinks"], data["dialogues"], data["failure_dialogues"], \
			data["drinks_dialogue"], data["end_dialogue"])
	state_machine.connect("alcohol_level_updated", self, "update_alcohol_level")
	_alcohol_level.max_value = state_machine.alcohol_limit

func update_alcohol_level():
	_alcohol_level.value = state_machine.alcohol_level
