extends Node

var customer_state_machine:CustomerStateMachine
var _characters := {}

func add_character(char_name:String, character:Character) -> void:
	_characters[char_name] = character

func change_emotion(char_name:String, emotion:String) -> void:
	_characters[char_name].emotion = emotion

func change_state(char_name:String, state:String) -> void:
	_characters[char_name].state = state

func change_pose(char_name:String, pose:String) -> void:
	_characters[char_name].pose = pose

func is_drink_correct() -> bool:
	return Drinks.is_current_drink_correct(customer_state_machine.current_drink)

func has_correct_ingredient() -> bool:
	return Drinks.has_correct_ingredient(customer_state_machine.current_drink)

func increase_favorability() -> void:
	customer_state_machine.favorability += 1

func decrease_favorability() -> void:
	customer_state_machine.favorability -= 1

func get_favorability() -> int:
	return customer_state_machine.favorability

func reset() -> void:
	customer_state_machine = null
	_characters = {}
