extends TextureButton

signal ingredient_details_opened
signal ingredient_added

func _ready() -> void:
	connect("mouse_entered", self, "_on_Ingredient_mouse_entered")
	connect("pressed", self, "_on_Ingredient_pressed")

func _on_Ingredient_mouse_entered():
	var ingredient = Ingredients.get_ingredient(name)
	var details = "[color=#ff901a]%s[/color]" % ingredient.ingredient_name
	if ingredient.ingredient_alcoholic:
		details += "\n\nAlchoholic\n\n"
	else:
		details += "\n\nNon-alcoholic\n\n"
	details += ingredient.ingredient_description
	emit_signal("ingredient_details_opened", details)

func _on_Ingredient_pressed():
	emit_signal("ingredient_added", Ingredients.get_ingredient(name))
