extends Node

const INGREDIENTS_FILE := "res://drinks/ingredients/ingredients.json"

var _ingredients := {}

func _ready() -> void:
	var file := File.new()
	
	var error := file.open(INGREDIENTS_FILE, File.READ)
	assert(not error, "Error reading ingredients file")
	
	var data:Dictionary = parse_json(file.get_as_text())
	file.close()
	
	for key in data.keys():
		var ingredient:Dictionary = data[key]
		_ingredients[key] = Ingredient.new(key, ingredient["name"], \
				ingredient["description"], ingredient["alcoholic"], \
				ingredient["sound"])

func get_ingredient(key:String) -> Ingredient:
	return _ingredients[key]
