extends Control

const INTRO_JSON := "res://menu/intro.json"

onready var _label := $Label

var _parser := WhiskersParser.new(DialogueSingleton)
var _dialogue_state:Dictionary

func _ready():
	set_process(false)

func start_introduction() -> void:
	show()
	var data := _parser.open_whiskers(INTRO_JSON)
	_dialogue_state = _parser.start_dialogue(data)
	show_text(_dialogue_state.get("text"))
	set_process(true)

func next(option_key:String = "") -> void:
	_dialogue_state = _parser.next(option_key)
	if _dialogue_state.has("text"):
		show_text(_dialogue_state.get("text"))

	if _dialogue_state.empty():
		set_process(false)
		hide()

func show_text(text:String) -> void:
	_label.current_text = text

func _process(_delta:float) -> void:
	if Input.is_action_just_pressed("next"):
		if _label.finished:
			next()
		else:
			_label.finished = true
